cinder volume usage auditor crashes

Bug #1218383 reported by Cian O'Driscoll on 2013-08-29
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Cinder
Undecided
Scott DAngelo

Bug Description

 is 05083bd986714ce384701582baff1b5d. _add_unique_id /usr/lib/python2.7/dist-packages/cinder/openstack/common/rpc/amqp.py:337
2013-08-29 10:51:35.431 9836 DEBUG cinder.openstack.common.rpc.amqp [req-446838b6-204f-480a-9b9c-1971df9b4212 None None] Sending volume.exists on notifications.info notify /usr/lib/python2.7/dist-packages/cinder/openstack/common/rpc/amqp.py:662
2013-08-29 10:51:35.432 9836 DEBUG cinder.openstack.common.rpc.amqp [req-446838b6-204f-480a-9b9c-1971df9b4212 None None] UNIQUE_ID is 8eec565049fe480d895282c6cd2b187a. _add_unique_id /usr/lib/python2.7/dist-packages/cinder/openstack/common/rpc/amqp.py:337
2013-08-29 10:51:35.435 9836 DEBUG cinder.openstack.common.rpc.amqp [req-446838b6-204f-480a-9b9c-1971df9b4212 None None] Se
nding volume.exists on notifications.info notify /usr/lib/python2.7/dist-packages/cinder/openstack/common/rpc/amqp.py:662
2013-08-29 10:51:35.436 9836 DEBUG cinder.openstack.common.rpc.amqp [req-446838b6-204f-480a-9b9c-1971df9b4212 None None] UNIQUE_ID is a27d961d6c284199b2f6851d37d435c4. _add_unique_id /usr/lib/python2.7/dist-packages/cinder/openstack/common/rpc/amqp.py:337
Found 66 snapshots
2013-08-29 10:51:35.450 9836 CRITICAL cinder [req-446838b6-204f-480a-9b9c-1971df9b4212 None None] 'module' object has no attribute 'fromat_exc'
2013-08-29 10:51:35.450 9836 TRACE cinder Traceback (most recent call last):
2013-08-29 10:51:35.450 9836 TRACE cinder File "/usr/bin/cinder-volume-usage-audit", line 105, in <module>
2013-08-29 10:51:35.450 9836 TRACE cinder print traceback.fromat_exc(e)
2013-08-29 10:51:35.450 9836 TRACE cinder AttributeError: 'module' object has no attribute 'fromat_exc'
2013-08-29 10:51:35.450 9836 TRACE cinder

spelling mistake in "fromat_exc"

Changed in cinder:
assignee: nobody → Scott DAngelo (scott-dangelo)

Fix proposed to branch: master
Review: https://review.openstack.org/44308

Changed in cinder:
status: New → In Progress

Reviewed: https://review.openstack.org/44308
Committed: http://github.com/openstack/cinder/commit/0a201c68bf5c2b04bf1f1bc0d030bb451f5a7330
Submitter: Jenkins
Branch: master

commit 0a201c68bf5c2b04bf1f1bc0d030bb451f5a7330
Author: scott-dangelo <email address hidden>
Date: Thu Aug 29 15:36:55 2013 +0000

    Fix typo in bin/cinder-volume-usage-audit

    Fixes bug #1218383

    Change-Id: Ie1545736aee43805e8e3f8c3b9b7d5b3a7f36a67

Changed in cinder:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2013-09-05
Changed in cinder:
milestone: none → havana-3
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-10-17
Changed in cinder:
milestone: havana-3 → 2013.2
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers